<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Isikukoodi valideerimine</title>
</head>

<body>
    <script>
        function isPersonalCodeValid(personalCode) {
            let personalCodeDigits = personalCode.split('').map(function (s) { return parseInt(s); });

            let weights1 = [1, 2, 3, 4, 5, 6, 7, 8, 9, 1];
            let weights2 = [3, 4, 5, 6, 7, 8, 9, 1, 2, 3];

            let result = calcModulus(weights1, personalCodeDigits);

            if (result !== 10) {
                return result === personalCodeDigits[10];
            } else {
                result = calcModulus(weights2, personalCodeDigits);
                if (result === 10) {
                    return 0 === personalCodeDigits[10];
                } else {
                    return result === personalCodeDigits[10];
                }
            }
        }

        function calcModulus(weights, personalCodeDigits) {
            sum = 0;
            for (let i = 0; i < 10; i++) {
                sum += weights[i] * personalCodeDigits[i];
            }
            return sum % 11;
        }

        console.log(isPersonalCodeValid('37605030299'));

    </script>
</body>

</html>